import argparse
from portainer_api import PortainerService
from config.settings import PortainerConfig
from docker_api.docker_manager import docker_manager_menu

if __name__ == '__main__':
    portainer_config = PortainerConfig()
    instances = portainer_config.get_portainer_instances()
    base_url, token = portainer_config.get_portainer_info(instances[0])
    print(base_url, token)
    portainer = PortainerService(base_url, token)
    stacks = portainer.stacks.list_stacks()
    for stack in stacks:
        print(stack)

    docker_manager_menu()